curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"targets": [
{
"aggregation_key": "<string>",
"target": [
{
"domain": "<string>",
"include_subdomains": true,
"keyword": "<string>",
"match_type": "<string>",
"search_filter": "<string>",
"search_scope": [
"<string>"
]
}
]
}
],
"initial_dataset_filters": [
"<unknown>"
],
"internal_list_limit": 123,
"language_code": "<string>",
"language_name": "<string>",
"location_code": 123,
"location_name": "<string>",
"platform": "<string>",
"tag": "<string>"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live"
payload = [
{
"targets": [
{
"aggregation_key": "<string>",
"target": [
{
"domain": "<string>",
"include_subdomains": True,
"keyword": "<string>",
"match_type": "<string>",
"search_filter": "<string>",
"search_scope": ["<string>"]
}
]
}
],
"initial_dataset_filters": ["<unknown>"],
"internal_list_limit": 123,
"language_code": "<string>",
"language_name": "<string>",
"location_code": 123,
"location_name": "<string>",
"platform": "<string>",
"tag": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
targets: [
{
aggregation_key: '<string>',
target: [
{
domain: '<string>',
include_subdomains: true,
keyword: '<string>',
match_type: '<string>',
search_filter: '<string>',
search_scope: ['<string>']
}
]
}
],
initial_dataset_filters: ['<unknown>'],
internal_list_limit: 123,
language_code: '<string>',
language_name: '<string>',
location_code: 123,
location_name: '<string>',
platform: '<string>',
tag: '<string>'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'targets' => [
[
'aggregation_key' => '<string>',
'target' => [
[
'domain' => '<string>',
'include_subdomains' => true,
'keyword' => '<string>',
'match_type' => '<string>',
'search_filter' => '<string>',
'search_scope' => [
'<string>'
]
]
]
]
],
'initial_dataset_filters' => [
'<unknown>'
],
'internal_list_limit' => 123,
'language_code' => '<string>',
'language_name' => '<string>',
'location_code' => 123,
'location_name' => '<string>',
'platform' => '<string>',
'tag' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live"
payload := strings.NewReader("[\n {\n \"targets\": [\n {\n \"aggregation_key\": \"<string>\",\n \"target\": [\n {\n \"domain\": \"<string>\",\n \"include_subdomains\": true,\n \"keyword\": \"<string>\",\n \"match_type\": \"<string>\",\n \"search_filter\": \"<string>\",\n \"search_scope\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"initial_dataset_filters\": [\n \"<unknown>\"\n ],\n \"internal_list_limit\": 123,\n \"language_code\": \"<string>\",\n \"language_name\": \"<string>\",\n \"location_code\": 123,\n \"location_name\": \"<string>\",\n \"platform\": \"<string>\",\n \"tag\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"targets\": [\n {\n \"aggregation_key\": \"<string>\",\n \"target\": [\n {\n \"domain\": \"<string>\",\n \"include_subdomains\": true,\n \"keyword\": \"<string>\",\n \"match_type\": \"<string>\",\n \"search_filter\": \"<string>\",\n \"search_scope\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"initial_dataset_filters\": [\n \"<unknown>\"\n ],\n \"internal_list_limit\": 123,\n \"language_code\": \"<string>\",\n \"language_name\": \"<string>\",\n \"location_code\": 123,\n \"location_name\": \"<string>\",\n \"platform\": \"<string>\",\n \"tag\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"targets\": [\n {\n \"aggregation_key\": \"<string>\",\n \"target\": [\n {\n \"domain\": \"<string>\",\n \"include_subdomains\": true,\n \"keyword\": \"<string>\",\n \"match_type\": \"<string>\",\n \"search_filter\": \"<string>\",\n \"search_scope\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"initial_dataset_filters\": [\n \"<unknown>\"\n ],\n \"internal_list_limit\": 123,\n \"language_code\": \"<string>\",\n \"language_name\": \"<string>\",\n \"location_code\": 123,\n \"location_name\": \"<string>\",\n \"platform\": \"<string>\",\n \"tag\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks": [
"<string>"
],
"tasks.cost": 123,
"tasks.data": {},
"tasks.id": "<string>",
"tasks.path": [
"<string>"
],
"tasks.result": [
"<string>"
],
"tasks.result.items": [
"<string>"
],
"tasks.result.items.brand_entities_category": [
"<string>"
],
"tasks.result.items.brand_entities_category.ai_search_volume": 123,
"tasks.result.items.brand_entities_category.impressions": 123,
"tasks.result.items.brand_entities_category.key": "<string>",
"tasks.result.items.brand_entities_category.mentions": 123,
"tasks.result.items.brand_entities_category.type": "<string>",
"tasks.result.items.brand_entities_title": [
"<string>"
],
"tasks.result.items.brand_entities_title.ai_search_volume": 123,
"tasks.result.items.brand_entities_title.impressions": 123,
"tasks.result.items.brand_entities_title.key": "<string>",
"tasks.result.items.brand_entities_title.mentions": 123,
"tasks.result.items.brand_entities_title.type": "<string>",
"tasks.result.items.key": "<string>",
"tasks.result.items.language": [
"<string>"
],
"tasks.result.items.language.ai_search_volume": 123,
"tasks.result.items.language.impressions": 123,
"tasks.result.items.language.key": "<string>",
"tasks.result.items.language.mentions": 123,
"tasks.result.items.language.type": "<string>",
"tasks.result.items.location": [
"<string>"
],
"tasks.result.items.location.ai_search_volume": 123,
"tasks.result.items.location.impressions": 123,
"tasks.result.items.location.key": "<string>",
"tasks.result.items.location.mentions": 123,
"tasks.result.items.location.type": "<string>",
"tasks.result.items.platform": [
"<string>"
],
"tasks.result.items.platform.ai_search_volume": 123,
"tasks.result.items.platform.impressions": 123,
"tasks.result.items.platform.key": "<string>",
"tasks.result.items.platform.mentions": 123,
"tasks.result.items.platform.type": "<string>",
"tasks.result.items.search_results_domain": [
"<string>"
],
"tasks.result.items.search_results_domain.ai_search_volume": 123,
"tasks.result.items.search_results_domain.impressions": 123,
"tasks.result.items.search_results_domain.key": "<string>",
"tasks.result.items.search_results_domain.mentions": 123,
"tasks.result.items.search_results_domain.type": "<string>",
"tasks.result.items.sources_domain": [
"<string>"
],
"tasks.result.items.sources_domain.ai_search_volume": 123,
"tasks.result.items.sources_domain.impressions": 123,
"tasks.result.items.sources_domain.key": "<string>",
"tasks.result.items.sources_domain.mentions": 123,
"tasks.result.items.sources_domain.type": "<string>",
"tasks.result.total": {},
"tasks.result.total.brand_entities_category": [
"<string>"
],
"tasks.result.total.brand_entities_category.ai_search_volume": 123,
"tasks.result.total.brand_entities_category.impressions": 123,
"tasks.result.total.brand_entities_category.key": "<string>",
"tasks.result.total.brand_entities_category.mentions": 123,
"tasks.result.total.brand_entities_category.type": "<string>",
"tasks.result.total.brand_entities_title": [
"<string>"
],
"tasks.result.total.brand_entities_title.ai_search_volume": 123,
"tasks.result.total.brand_entities_title.impressions": 123,
"tasks.result.total.brand_entities_title.key": "<string>",
"tasks.result.total.brand_entities_title.mentions": 123,
"tasks.result.total.brand_entities_title.type": "<string>",
"tasks.result.total.language": [
"<string>"
],
"tasks.result.total.language.ai_search_volume": 123,
"tasks.result.total.language.impressions": 123,
"tasks.result.total.language.key": "<string>",
"tasks.result.total.language.mentions": 123,
"tasks.result.total.language.type": "<string>",
"tasks.result.total.location": [
"<string>"
],
"tasks.result.total.location.ai_search_volume": 123,
"tasks.result.total.location.impressions": 123,
"tasks.result.total.location.key": "<string>",
"tasks.result.total.location.mentions": 123,
"tasks.result.total.location.type": "<string>",
"tasks.result.total.platform": [
"<string>"
],
"tasks.result.total.platform.ai_search_volume": 123,
"tasks.result.total.platform.impressions": 123,
"tasks.result.total.platform.key": "<string>",
"tasks.result.total.platform.mentions": 123,
"tasks.result.total.platform.type": "<string>",
"tasks.result.total.search_results_domain": [
"<string>"
],
"tasks.result.total.search_results_domain.ai_search_volume": 123,
"tasks.result.total.search_results_domain.impressions": 123,
"tasks.result.total.search_results_domain.key": "<string>",
"tasks.result.total.search_results_domain.mentions": 123,
"tasks.result.total.search_results_domain.type": "<string>",
"tasks.result.total.sources_domain": [
"<string>"
],
"tasks.result.total.sources_domain.ai_search_volume": 123,
"tasks.result.total.sources_domain.impressions": 123,
"tasks.result.total.sources_domain.key": "<string>",
"tasks.result.total.sources_domain.mentions": 123,
"tasks.result.total.sources_domain.type": "<string>",
"tasks.result_count": 123,
"tasks.status_code": 123,
"tasks.status_message": "<string>",
"tasks.time": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>"
}Live LLM Mentions Cross Aggregated Metrics
Compares mention metrics across several targets in one call, grouped by aggregation_key.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"targets": [
{
"aggregation_key": "<string>",
"target": [
{
"domain": "<string>",
"include_subdomains": true,
"keyword": "<string>",
"match_type": "<string>",
"search_filter": "<string>",
"search_scope": [
"<string>"
]
}
]
}
],
"initial_dataset_filters": [
"<unknown>"
],
"internal_list_limit": 123,
"language_code": "<string>",
"language_name": "<string>",
"location_code": 123,
"location_name": "<string>",
"platform": "<string>",
"tag": "<string>"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live"
payload = [
{
"targets": [
{
"aggregation_key": "<string>",
"target": [
{
"domain": "<string>",
"include_subdomains": True,
"keyword": "<string>",
"match_type": "<string>",
"search_filter": "<string>",
"search_scope": ["<string>"]
}
]
}
],
"initial_dataset_filters": ["<unknown>"],
"internal_list_limit": 123,
"language_code": "<string>",
"language_name": "<string>",
"location_code": 123,
"location_name": "<string>",
"platform": "<string>",
"tag": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
targets: [
{
aggregation_key: '<string>',
target: [
{
domain: '<string>',
include_subdomains: true,
keyword: '<string>',
match_type: '<string>',
search_filter: '<string>',
search_scope: ['<string>']
}
]
}
],
initial_dataset_filters: ['<unknown>'],
internal_list_limit: 123,
language_code: '<string>',
language_name: '<string>',
location_code: 123,
location_name: '<string>',
platform: '<string>',
tag: '<string>'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'targets' => [
[
'aggregation_key' => '<string>',
'target' => [
[
'domain' => '<string>',
'include_subdomains' => true,
'keyword' => '<string>',
'match_type' => '<string>',
'search_filter' => '<string>',
'search_scope' => [
'<string>'
]
]
]
]
],
'initial_dataset_filters' => [
'<unknown>'
],
'internal_list_limit' => 123,
'language_code' => '<string>',
'language_name' => '<string>',
'location_code' => 123,
'location_name' => '<string>',
'platform' => '<string>',
'tag' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live"
payload := strings.NewReader("[\n {\n \"targets\": [\n {\n \"aggregation_key\": \"<string>\",\n \"target\": [\n {\n \"domain\": \"<string>\",\n \"include_subdomains\": true,\n \"keyword\": \"<string>\",\n \"match_type\": \"<string>\",\n \"search_filter\": \"<string>\",\n \"search_scope\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"initial_dataset_filters\": [\n \"<unknown>\"\n ],\n \"internal_list_limit\": 123,\n \"language_code\": \"<string>\",\n \"language_name\": \"<string>\",\n \"location_code\": 123,\n \"location_name\": \"<string>\",\n \"platform\": \"<string>\",\n \"tag\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"targets\": [\n {\n \"aggregation_key\": \"<string>\",\n \"target\": [\n {\n \"domain\": \"<string>\",\n \"include_subdomains\": true,\n \"keyword\": \"<string>\",\n \"match_type\": \"<string>\",\n \"search_filter\": \"<string>\",\n \"search_scope\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"initial_dataset_filters\": [\n \"<unknown>\"\n ],\n \"internal_list_limit\": 123,\n \"language_code\": \"<string>\",\n \"language_name\": \"<string>\",\n \"location_code\": 123,\n \"location_name\": \"<string>\",\n \"platform\": \"<string>\",\n \"tag\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"targets\": [\n {\n \"aggregation_key\": \"<string>\",\n \"target\": [\n {\n \"domain\": \"<string>\",\n \"include_subdomains\": true,\n \"keyword\": \"<string>\",\n \"match_type\": \"<string>\",\n \"search_filter\": \"<string>\",\n \"search_scope\": [\n \"<string>\"\n ]\n }\n ]\n }\n ],\n \"initial_dataset_filters\": [\n \"<unknown>\"\n ],\n \"internal_list_limit\": 123,\n \"language_code\": \"<string>\",\n \"language_name\": \"<string>\",\n \"location_code\": 123,\n \"location_name\": \"<string>\",\n \"platform\": \"<string>\",\n \"tag\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks": [
"<string>"
],
"tasks.cost": 123,
"tasks.data": {},
"tasks.id": "<string>",
"tasks.path": [
"<string>"
],
"tasks.result": [
"<string>"
],
"tasks.result.items": [
"<string>"
],
"tasks.result.items.brand_entities_category": [
"<string>"
],
"tasks.result.items.brand_entities_category.ai_search_volume": 123,
"tasks.result.items.brand_entities_category.impressions": 123,
"tasks.result.items.brand_entities_category.key": "<string>",
"tasks.result.items.brand_entities_category.mentions": 123,
"tasks.result.items.brand_entities_category.type": "<string>",
"tasks.result.items.brand_entities_title": [
"<string>"
],
"tasks.result.items.brand_entities_title.ai_search_volume": 123,
"tasks.result.items.brand_entities_title.impressions": 123,
"tasks.result.items.brand_entities_title.key": "<string>",
"tasks.result.items.brand_entities_title.mentions": 123,
"tasks.result.items.brand_entities_title.type": "<string>",
"tasks.result.items.key": "<string>",
"tasks.result.items.language": [
"<string>"
],
"tasks.result.items.language.ai_search_volume": 123,
"tasks.result.items.language.impressions": 123,
"tasks.result.items.language.key": "<string>",
"tasks.result.items.language.mentions": 123,
"tasks.result.items.language.type": "<string>",
"tasks.result.items.location": [
"<string>"
],
"tasks.result.items.location.ai_search_volume": 123,
"tasks.result.items.location.impressions": 123,
"tasks.result.items.location.key": "<string>",
"tasks.result.items.location.mentions": 123,
"tasks.result.items.location.type": "<string>",
"tasks.result.items.platform": [
"<string>"
],
"tasks.result.items.platform.ai_search_volume": 123,
"tasks.result.items.platform.impressions": 123,
"tasks.result.items.platform.key": "<string>",
"tasks.result.items.platform.mentions": 123,
"tasks.result.items.platform.type": "<string>",
"tasks.result.items.search_results_domain": [
"<string>"
],
"tasks.result.items.search_results_domain.ai_search_volume": 123,
"tasks.result.items.search_results_domain.impressions": 123,
"tasks.result.items.search_results_domain.key": "<string>",
"tasks.result.items.search_results_domain.mentions": 123,
"tasks.result.items.search_results_domain.type": "<string>",
"tasks.result.items.sources_domain": [
"<string>"
],
"tasks.result.items.sources_domain.ai_search_volume": 123,
"tasks.result.items.sources_domain.impressions": 123,
"tasks.result.items.sources_domain.key": "<string>",
"tasks.result.items.sources_domain.mentions": 123,
"tasks.result.items.sources_domain.type": "<string>",
"tasks.result.total": {},
"tasks.result.total.brand_entities_category": [
"<string>"
],
"tasks.result.total.brand_entities_category.ai_search_volume": 123,
"tasks.result.total.brand_entities_category.impressions": 123,
"tasks.result.total.brand_entities_category.key": "<string>",
"tasks.result.total.brand_entities_category.mentions": 123,
"tasks.result.total.brand_entities_category.type": "<string>",
"tasks.result.total.brand_entities_title": [
"<string>"
],
"tasks.result.total.brand_entities_title.ai_search_volume": 123,
"tasks.result.total.brand_entities_title.impressions": 123,
"tasks.result.total.brand_entities_title.key": "<string>",
"tasks.result.total.brand_entities_title.mentions": 123,
"tasks.result.total.brand_entities_title.type": "<string>",
"tasks.result.total.language": [
"<string>"
],
"tasks.result.total.language.ai_search_volume": 123,
"tasks.result.total.language.impressions": 123,
"tasks.result.total.language.key": "<string>",
"tasks.result.total.language.mentions": 123,
"tasks.result.total.language.type": "<string>",
"tasks.result.total.location": [
"<string>"
],
"tasks.result.total.location.ai_search_volume": 123,
"tasks.result.total.location.impressions": 123,
"tasks.result.total.location.key": "<string>",
"tasks.result.total.location.mentions": 123,
"tasks.result.total.location.type": "<string>",
"tasks.result.total.platform": [
"<string>"
],
"tasks.result.total.platform.ai_search_volume": 123,
"tasks.result.total.platform.impressions": 123,
"tasks.result.total.platform.key": "<string>",
"tasks.result.total.platform.mentions": 123,
"tasks.result.total.platform.type": "<string>",
"tasks.result.total.search_results_domain": [
"<string>"
],
"tasks.result.total.search_results_domain.ai_search_volume": 123,
"tasks.result.total.search_results_domain.impressions": 123,
"tasks.result.total.search_results_domain.key": "<string>",
"tasks.result.total.search_results_domain.mentions": 123,
"tasks.result.total.search_results_domain.type": "<string>",
"tasks.result.total.sources_domain": [
"<string>"
],
"tasks.result.total.sources_domain.ai_search_volume": 123,
"tasks.result.total.sources_domain.impressions": 123,
"tasks.result.total.sources_domain.key": "<string>",
"tasks.result.total.sources_domain.mentions": 123,
"tasks.result.total.sources_domain.type": "<string>",
"tasks.result_count": 123,
"tasks.status_code": 123,
"tasks.status_message": "<string>",
"tasks.time": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>"
}aggregation_key. Takes targets as a list of target arrays rather than the single target its siblings take - the shapes differ, and mixing them up is rejected as an unknown field. ⚠️ target is an array of objects, each {"domain": "..."} or {"keyword": "..."}; a bare string is rejected as the wrong type and an array of strings as ‘Each target item must be an object’. Filter fields come from get_dataforseo_ai_llm_mentions_available_filters. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200. Running post_dataforseo_ai_llm_mentions_aggregated_metrics_live once per target costs the same per call, so use this when the comparison itself is the point.
Example
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"targets": "...", "aggregation_key": "...", "target": "..."}]'
// Copy this whole block into Claude Code, Codex, Cursor or any coding agent.
// It carries everything needed to connect, authorize and run this example —
// no key to paste, one click of Allow in the browser.
{
"calls": [
{
"call_id": "1",
"tool": "post_dataforseo_ai_llm_mentions_cross_metrics_live",
"arguments": {}
}
]
}
// ── for the agent ─────────────────────────────────────────────────────────
// Register the AIsa MCP server, then call its `batch_quote` tool with the JSON above.
// name aisa
// endpoint https://mcp.aisa.one/mcp
// transport streamable-http
// auth OAuth. The server publishes RFC 9728 metadata, so open a
// browser and the user clicks Allow once — nothing to paste.
// If AISA_API_KEY is set, send it as a bearer header instead.
// Use your own MCP mechanism, not a hand-edited config file:
// Codex codex mcp add aisa --url https://mcp.aisa.one/mcp
// Claude Code claude mcp add --transport http -s user aisa https://mcp.aisa.one/mcp
// Cursor / VS Code a "url" entry for https://mcp.aisa.one/mcp in the MCP config
// The server reaches https://mcp.aisa.one/servers worth of APIs through a few meta
// tools: search, list_categories, get_details, batch_quote, batch_use.
// search, get_details and batch_quote are free; batch_use is billed per
// call. This operation's full contract — every argument, the response
// shape, the price and the pitfalls — is at
// https://aisa.one/docs/api-reference/dataforseo/post_dataforseo-ai-optimization-llm-mentions-cross-aggregated-metrics-live.md
// Show me the quoted cost. Once I approve, run the same calls with
// batch_use and show me the result.
https://mcp.aisa.one/mcp — Claude
Code, Codex, Cursor, VS Code and the rest. Authorization is OAuth: the client
opens a browser, you click Allow once, and there is no key to paste. Your
agent then reaches every endpoint through a few meta tools: search,
list_categories, get_details and batch_quote are free, batch_use is
billed per call. Setup per client is in
Connect via MCP; the live tool list and what each call
costs are on aisa.one/mcp.Request contract
- Method and path: POST /apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "post_dataforseo_ai_llm_mentions_cross_metrics_live",
"method": "POST",
"path": "/apis/v1/dataforseo/ai_optimization/llm_mentions/cross_aggregated_metrics/live",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"items": {
"properties": {
"initial_dataset_filters": {
"description": "array of filter expressions applied before aggregation optional field you can use this array to filter expressions applied to the raw mentions database before aggregation to limit the rows contributing to the result;you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: =, , in, not_in, like, not_like, ilike, not_ilike, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: [\"ai_search_volume\",\">\",\"1000\"]the full list of possible filters is available here. learn more about the initial dataset filters in this help center article.",
"items": {},
"type": "array"
},
"internal_list_limit": {
"description": "maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: sources_domain search_results_domain minimum value: 1 maximum value: 10 default value: 5",
"type": "integer"
},
"language_code": {
"description": "search language code optional field if you use this field, you don't need to specify language_name; you can receive the list of available languages of the search engine with their language_code_by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages default value: en Note: chat_gpt data is available for en onlyn",
"type": "string"
},
"language_name": {
"description": "full name of search language optional field if you use this field, you don't need to specify language_code; if you don't specify this field, the language_code with en value will be used by default; you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages Note: chat_gpt data is available for English only",
"type": "string"
},
"location_code": {
"description": "search location code optional field if you use this field, you don't need to specify location_name you can receive the list of available locations of the search engine with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages default value: 2840 Note: chat_gpt data is available for 2840 only",
"type": "integer"
},
"location_name": {
"description": "full name of search location optional field if you use this field, you don't need to specify location_code if you don't specify this field, the location_code with 2840 value will be used by default; you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages Note: chat_gpt data is available for United States only",
"type": "string"
},
"platform": {
"description": "target platform optional field possible values: chat_gpt, google default value: google Note: the data returned depends on the selected platform Note #2:chat_gpt data is available for the United States and English only",
"type": "string"
},
"tag": {
"description": "user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response",
"type": "string"
},
"targets": {
"description": "array of objects containing target entities with aggregation keys required field you can specify up to 10, but not less than 2 target sets of parameters, each with its aggregation_key;example of a targets array with multiple entities: [{\"aggregation_key\":\"bmw\",\"target\":[{\"domain\":\"en.wikipedia.org\",\"search_filter\":\"exclude\"},{\"keyword\":\"m5\",\"match_type\":\"partial_match\",\"search_scope\":[\"answer\"]}]},{\"aggregation_key\":\"mercedes\",\"target\":[{\"domain\":\"www.mercedes-benz.com\",\"search_filter\":\"exclude\"},{\"keyword\":\"GLC\",\"match_type\":\"word_match\"}]}]",
"items": {
"properties": {
"aggregation_key": {
"description": "aggregation key for grouping the results required field groups results for comparison and serves as a label for the group; you can specify up to 250 characters in the aggregation_key field",
"type": "string"
},
"target": {
"description": "array of objects containing target entities required field a single target can contain up to 10 domain and/or keyword entities",
"items": {
"oneOf": [
{
"required": [
"domain"
]
},
{
"required": [
"keyword"
]
}
],
"properties": {
"domain": {
"description": "target domain required field if you don't specify a keyword you can specify up to 63 characters in the domain field; a domain should be specified without https:// and www.",
"type": "string"
},
"include_subdomains": {
"description": "indicates if the subdomains of the target domain will be included in the search optional field if set to true, the subdomains will be included in the search default value: false",
"type": "boolean"
},
"keyword": {
"description": "target keyword required field if you don't specify a domain you can specify up to 250 characters in the keyword field all %## will be decoded (plus character ‘+’ will be decoded to a space character) if you need to use the “%” character for your keyword, please specify it as “%25”; if you need to use the “+” character for your keyword, please specify it as “%2B”learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article",
"type": "string"
},
"match_type": {
"description": "target keyword match type defines how the specified keyword is matched optional field possible values: word_match - full-text search for terms that match the specified seed keyword with additional words included before, after, or within the key phrase (e.g., search for \"light\" will return results with \"light bulb\", \"light switch\"); partial_match - substring search that finds all instances containing the specified sequence of characters, even if it appears inside a longer word (e.g., search for \"light\" will return results with \"lighting\", \"highlight\"); default value: word_match",
"type": "string"
},
"search_filter": {
"description": "Entity search filter: include or exclude; defaults to include.",
"type": "string"
},
"search_scope": {
"description": "Search scope. Domain entities: any, sources, search_results. Keyword entities: any, question, answer, brand_entities, fan_out_queries. Default: any.",
"items": {
"type": "string"
},
"type": "array"
}
},
"type": "object"
},
"type": "array"
}
},
"required": [
"aggregation_key",
"target"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"targets"
],
"type": "object"
},
"type": "array"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.101,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.101 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.101
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
array of objects containing target entities with aggregation keys required field you can specify up to 10, but not less than 2 target sets of parameters, each with its aggregation_key;example of a targets array with multiple entities: [{"aggregation_key":"bmw","target":[{"domain":"en.wikipedia.org","search_filter":"exclude"},{"keyword":"m5","match_type":"partial_match","search_scope":["answer"]}]},{"aggregation_key":"mercedes","target":[{"domain":"www.mercedes-benz.com","search_filter":"exclude"},{"keyword":"GLC","match_type":"word_match [blocked]"}]}]
Show child attributes
Show child attributes
array of filter expressions applied before aggregation optional field you can use this array to filter expressions applied to the raw mentions database before aggregation to limit the rows contributing to the result;you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: =, , in, not_in, like, not_like, ilike, not_ilike, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: ["ai_search_volume",">","1000"]the full list of possible filters is available here. learn more about the initial dataset filters in this help center article.
maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: sources_domain search_results_domain minimum value: 1 maximum value: 10 default value: 5
search language code optional field if you use this field, you don't need to specify language_name; you can receive the list of available languages of the search engine with their language_code_by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages default value: en Note: chat_gpt data is available for en onlyn
full name of search language optional field if you use this field, you don't need to specify language_code; if you don't specify this field, the language_code with en value will be used by default; you can receive the list of available languages of the search engine with their language_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages Note: chat_gpt data is available for English only
search location code optional field if you use this field, you don't need to specify location_name you can receive the list of available locations of the search engine with their location_code by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages default value: 2840 Note: chat_gpt data is available for 2840 only
full name of search location optional field if you use this field, you don't need to specify location_code if you don't specify this field, the location_code with 2840 value will be used by default; you can receive the list of available locations of the search engine with their location_name by making a separate request to the https://api.dataforseo.com/v3/ai_optimization/llm_mentions/locations_and_languages Note: chat_gpt data is available for United States only
target platform optional field possible values: chat_gpt, google default value: google Note: the data returned depends on the selected platform Note #2:chat_gpt data is available for the United States and English only
user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response
Response
Successful response
total tasks cost, USD
general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions
general informational message you can find the full list of general informational messages here
array of tasks
cost of the task, USD
contains the same parameters that you specified in the POST request
task identifier unique task identifier in our system in the UUID format
URL path
array of results
contains relevant mentions data
data on brand entities relevant to the target array of objects containing data on brand entity categories that appear in search results related to LLM queries
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found brand entity category
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
data on brand entities relevant to the target array of objects containing data on brand entity titles that appear in search results related to LLM queries
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found brand entity title
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
aggregation key received in a POST array
language-based grouping array of objects containing mention metrics segmented by content language
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to this specific grouping key
type of the element = 'group_element'
location-based grouping array of objects containing mention metrics segmented by geographical location
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to this specific grouping key
type of the element = 'group_element'
platform-based grouping array of group elements containing mention metrics segmented by AI platform
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to this specific grouping key
type of the element = 'group_element'
found top search results domains relevant to the target array of objects containing data on top domains that appear in search results related to LLM queries
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found domain name
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
found top source domains relevant to the target array of objects containing data on top domains that are cited as sources in LLM responses
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found domain name
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
aggregated mentions metrics summary contains overall aggregated LLM mention metrics across all found domains, grouped by various dimensions
data on brand entities relevant to the target array of objects containing data on brand entity categories that appear in search results related to LLM queries
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found brand entity category
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
data on brand entities relevant to the target array of objects containing data on brand entity titles that appear in search results related to LLM queries
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found brand entity title
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
language-based grouping array of objects containing mention metrics segmented by content language
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to this specific grouping key
type of the element = 'group_element'
location-based grouping array of objects containing mention metrics segmented by geographical location
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to this specific grouping key
type of the element = 'group_element'
platform-based grouping array of group elements containing mention metrics segmented by AI platform
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to this specific grouping key
type of the element = 'group_element'
found top search results domains relevant to the target array of objects containing data on top domains that appear in search results related to LLM queries
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found domain name
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
found top source domains relevant to the target array of objects containing data on top domains that are cited as sources in LLM responses
current AI search volume rate of a keyword learn more about this metric here
current AI impressions rate of a keyword
grouping identifier the specific identifier for the grouping dimension in this case the field displays a found domain name
total LLM mentions count the number of times the target keyword or domain were mentioned in relation to the specific domain
type of the element = 'group_element'
number of elements in the result array
status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here
informational message of the task you can find the full list of general informational messages here
execution time, seconds
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
execution time, seconds
the current version of the API